%define api_version 1.0.1B
%define pkg_name geronimo-jta_%{api_version}_spec
%define subrel 1
Name:          geronimo-jta-1.0.1B-api
Version:       1.1.1
Release:       %mkrel 4
Summary:       JTA %{api_version}
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-jta_1.0.1B_spec-1.1.1
# tar czf geronimo-jta_1.0.1B_spec-1.1.1-src-svn.tar.gz  geronimo-jta_1.0.1B_spec-1.1.1
Source0:       %{pkg_name}-%{version}-src-svn.tar.gz
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven-local
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo JTA %{api_version} API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo JTA %{api_version} API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

sed -i 's/1.3/1.5/' pom.xml
sed -i 's|<version>1.2</version>|<version>1.4</version>|' pom.xml

%build
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{pkg_name}-%{version}.jar %{buildroot}%{_javadir}/geronimo-jta-%{api_version}-api.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-jta-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-jta-%{api_version}-api.pom geronimo-jta-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-jta-%{api_version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-jta-%{api_version}

%files
%{_javadir}/geronimo-jta-1.0.1B-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-jta-%{api_version}



%changelog
* Sat May 16 2015 neoclust <neoclust> 1.1.1-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.1.1-4.mga4
+ Revision: 516162
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.1.1-2.mga3
+ Revision: 357041
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 139021
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-jta-1.0.1B-api


* Wed Jun 22 2011 gil <gil> 1.1.1-0.%%mkrel
- initial rpm

